<style type="text/css">
	#package-prices-tbl { border-collapse:collapse; width: 745px; }
	#package-prices-tbl tbody tr { }
	#package-prices-tbl tbody tr th { border: 1px solid #ccc; padding: 3px 5px; background-color: #eee }
	#package-prices-tbl tbody tr td { border: 1px solid #ccc; padding: 2px 3px; }
	#package-prices-tbl tbody tr td.min { width: 20px; }
	.no { color:red; margin: 2px; }
	#cx-escort-grid table { width: 745px }

	table.details {  }
	table.details tr.alter {  }
	table.details th { font-size: 13px; text-align: left; padding: 3px 12px 3px 6px }
	table.details td { font-size: 13px; text-align: left; padding-right: 6px; }
	.total { padding: 5px 30px 5px 0; font-size: 16px; background-color: #D7FFB0; margin-top: 10px; border-top: 1px solid #ccc; text-align: right }
</style>

<form class="form-common" action="/billing/orders/details?id=<?= $this->order->id ?>" method="post">
	<? /* <h2>
		<? if ( 'agency' == $this->order->user_type ) {
			echo 'Agency: ' . $this->order->agency_name;
		}
		elseif ( 'escort' == $this->order->user_type ) {
			echo 'Escort: ' . $this->order->showname;
		} ?>
	</h2> */ ?>
	<div class="mt10 fleft">
	<?
		$picker_id = md5(microtime());
		$params = array('adv_id' => $this->order->ads_id, 'field_name' => 'primary_id', 'id' => $picker_id, 'read_only' => true);
	?>
	<?= $this->picker($params) ?>
	</div>
	<fieldset class="fleft">
		<legend>Order Details</legend>
		<table class="details fleft">
			<tbody>
				<tr>
					<th>Status</th>
					<td style="width: 215px">
						<? switch ( $this->order->status ) {
								case Model_Billing_Orders::STATUS_PAID:
									$color = '#0a0';
									break;
								case Model_Billing_Orders::STATUS_CLOSED:
								case Model_Billing_Orders::STATUS_PAYMENT_REJECTED:
									$color = '#f00';
									break;
								case Model_Billing_Orders::STATUS_PAYMENT_DETAILS_RECEIVED:
									$color = '#00a';
									break;
						} ?>
						<div style="color: <?= $color ?>">
							<?= Model_Billing_Orders::$STATUS_LABELS[$this->order->status] ?>
						</div>
					</td>
				</tr>
				<tr>
					<th>Activate</th>
					<td>
						<?= Model_Billing_Orders::$CONDITION_LABELS[$this->order->activation_condition] ?>
					</td>
				</tr>
				<tr>
					<th>Sys. Order ID</th>
					<td><?= $this->order->system_order_id ?></td>
				</tr>
				<? if ( $this->order->status == Model_Billing_Orders::STATUS_PAYMENT_REJECTED ): ?>
				<tr>
					<th>Comment</th>
					<td><?= $this->order->rejection_comment ?></td>
				</tr>
				<? endif; ?>
			</tbody>
		</table>
		<table class="details fleft">
			<tbody>
				<tr>
					<th>Order Date</th>
					<td><?= date('d M Y', $this->order->order_date) . ' at ' . date('H:i:s', $this->order->order_date) ?></td>
				</tr>
				<tr>
					<th>Payment Date</th>
					<td><?= $this->order->payment_date ? date('d M Y', $this->order->payment_date) . ' at ' . date('H:i:s', $this->order->payment_date) : '-' ?></td>
				</tr>
				<tr>
					<th>Sales Person</th>
					<td>
						<select name="sales_person">
							<? foreach ( $this->sales_persons as $sales ): ?>
							<option value="<?= $sales->id ?>" <? if( $sales->id == $this->order->sales_id ):?>selected="selected"<? endif; ?>><?= $sales->first_name ?></option>
							<? endforeach; ?>
							<?/* if ( Cubix_Application::getId() == 1 ): ?>
							<option value="25">Marco</option>
							<? endif */?>
						</select>
					</td>
				</tr>
			</tbody>
		</table>
	</fieldset>

	<div class="clear"></div>

	<fieldset class="mt10">
		<legend>Packages</legend>

		<div class="cx-grid">
		<?= $this->render('orders/details-ads.phtml') ?>
		</div>
	</fieldset>
	
	

	<div class="total">
		<b>Total Price: <span id="total_price"><?= $this->order->price ?></span> $</b>
	</div>
</form>
